package org.xyzh.common.vo;

import java.io.Serializable;

import org.xyzh.common.dto.resource.TbResource;
import org.xyzh.common.dto.resource.TbTag;

import java.util.List;

/**
 * @description 资源VO
 * @filename ResourceVO.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-20
 */
public class ResourceVO implements Serializable{
    private static final long serialVersionUID = 1L;
    
    private TbResource resource;

    /**
     * 资源标签列表（包含文章分类标签 tag_type=1）
     */
    private List<TbTag> tags;
    
    /**
     * 是否为TOP推荐
     */
    private Boolean isTopRecommend;
    
    /**
     * 是否为思政推荐
     */
    private Boolean isIdeologicalRecommend;

    public TbResource getResource() {
        return resource;
    }

    public void setResource(TbResource resource) {
        this.resource = resource;
    }

    public List<TbTag> getTags() {
        return tags;
    }

    public void setTags(List<TbTag> tags) {
        this.tags = tags;
    }

    public Boolean getIsTopRecommend() {
        return isTopRecommend;
    }

    public void setIsTopRecommend(Boolean isTopRecommend) {
        this.isTopRecommend = isTopRecommend;
    }

    public Boolean getIsIdeologicalRecommend() {
        return isIdeologicalRecommend;
    }

    public void setIsIdeologicalRecommend(Boolean isIdeologicalRecommend) {
        this.isIdeologicalRecommend = isIdeologicalRecommend;
    }
}
